---
layout: post
title: "This is very informative. And fun. Lots of suspense"
date: September 19, 2016 13:25
category: "General discussion"
author: "Arthur Wolf"
---
This is very informative. And fun. Lots of suspense. Watch it. Also re-share it.





**"Arthur Wolf"**

---
---
**Thomas Sanladerer** *September 19, 2016 14:08*

They say red wine is good for your heart! 


---
**Michael Andresen** *September 19, 2016 14:36*

**+Thomas Sanladerer** Time to get a crimp tool, and a bunch of the different connectors ;)


---
*Imported from [Google+](https://plus.google.com/+ArthurWolf/posts/e8EuSeGSw5g) &mdash; content and formatting may not be reliable*
